#include <stdio.h>
#include <inttypes.h>

#define SIGNETURE_SIZE 128
const uint8_t __signature[SIGNETURE_SIZE] = {
	0x1e, 0x69, 0x95, 0x67, 0x87, 0x69, 0xff, 0xff, 0x00, 0xff, 0xff, 0xf7, 0xff, 0xff, 0x58, 0x37,
	0x37, 0x32, 0x31, 0x35, 0x15, 0x17, 0x0b, 0x15, 0x17, 0x0c, 0x12, 0x03, 0x13, 0x03, 0xff, 0xff,
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x11, 0x1e, 0x63, 0x01, 0xff, 0xff, 0xff, 0xff,
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
};

uint8_t boot_signature_byte_get(uint8_t addr)
{
	return __signature[addr & 0x7f];
}

uint8_t boot_lock_fuse_bits_get(uint8_t addr)
{
	switch (addr)
	{
	case 1: //GET_LOW_FUSE_BITS
		return 0x5e;
	case 2: //GET_HIGH_FUSE_BITS
		return 0xd8;
	case 3: //GET_EXTENDED_FUSE_BITS
		return 0xc8;
	case 4: //GET_LOCK_BITS
		return 0x2f;
	}
	return 0;
}
